### Signal

# Gdk Drag::cancel

#### Declaration

    void
    cancel (
      GdkDrag self,
      GdkDragCancelReason* reason,
      gpointer user_data
    )

#### Description [src]

Emitted when the drag operation is cancelled.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`reason` | `GdkDragCancelReason`
| The reason the drag was cancelled.
| The data is owned by the caller of the function.